@echo off

cd files

echo ' 
echo '
echo ' Connect your device with your computer and prepare to UN-ROOT
echo '
echo ' !!! DO NOT DISCONNECT USB CABLE WHILE UN-ROOTING !!!
echo '
echo '
pause

adb wait-for-devices
adb reboot bootloader
sleep 30

echo '
echo '
echo ' Removing root, please be patient ..
echo '
echo '
fastboot flash /system/bin/resize2fs magic
fastboot flash /system/bin/tune2fs busybox
fastboot oem start_partitioning
fastboot flash /system/bin/logcat uninstaller
fastboot oem stop_partitioning

echo '
echo '
echo ' All done, your device is UN-ROOT :)
echo ' by shakalaca (http://23pin.logdown.com)
echo '
echo '
fastboot reboot
pause
